toolzerhub API Docs

Get Instagram user ID by username

Returns the numeric user ID and basic identity fields for a public Instagram account, from required username_or_url. Use the ID with the endpoints that take user_id.

1 credit / requestBilled only on success
GET
/v1/instagram/user/id

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

username_or_url*string

Instagram username (without @) or full profile URL, for example natgeo or https://www.instagram.com/natgeo/.

Length3 <= length
curl -X GET "https://example.com/v1/instagram/user/id?username_or_url=natgeo" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "id": "string",    "username": "string",    "full_name": "string",    "is_private": true,    "is_verified": true,    "profile_pic_url": "string",    "property1": null,    "property2": null  }}